Bug 401 - dhcpxd doesn\'t run correctly in ifup
: dhcpxd doesn\'t run correctly in ifup
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/initscripts)
: unstable
: all Linux
: P4 major
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2002-01-17 11:33 by
Modified: 2003-08-25 15:18 (History)


Attachments
0000401-ifup-dhcpxd.patch (deleted)
2002-01-17 11:33, Mikhail Zabaluev
no flags Details


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2002-01-17 11:33:42
By default, dhcpxd forks itself in the background, even before the
configuration is done. This:
1) doesn\'t play good with initlog -- dhcpxd appears to block on output;
2) doesn\'t fit into the service startup model -- the ifup script should not
return until the interface is either configured, or failed to
configure.Fortunately, there is -w option that prevents dhcpxd from forking.
The timeout in case of dead Ethernet is not prolonged, so I think it should be
OK to wait for a while.
A patch is provided for clarity.
---

---
------- Comment #1 From 2002-01-18 12:47:19 -------
Thanks,
fixed in initscripts-5.49-ipl38mdk.
------- Comment #2 From 2002-01-18 12:47:19 -------
Thanks,
fixed in initscripts-5.49-ipl38mdk.